Loading...
Searching...
No Matches
_KernelInfo Struct Reference

## Data Fields

KernelInfoType | type
size_t | width
size_t | height
ssize_t | x
ssize_t | y
MagickRealType * | values
double | minimum
double | maximum
double | negative_range
double | positive_range
double | angle
struct _KernelInfo * | next
size_t | signature

## Detailed Description

Definition at line 102 of file morphology.h.

## Field Documentation

## angle

double _KernelInfo::angle

Definition at line 123 of file morphology.h.

## height

size_t _KernelInfo::height

Definition at line 109 of file morphology.h.

## maximum

double _KernelInfo::maximum

Definition at line 120 of file morphology.h.

## minimum

double _KernelInfo::minimum

Definition at line 119 of file morphology.h.

## negative_range

double _KernelInfo::negative_range

Definition at line 121 of file morphology.h.

## next

struct _KernelInfo* _KernelInfo::next

Definition at line 126 of file morphology.h.

## positive_range

double _KernelInfo::positive_range

Definition at line 122 of file morphology.h.

## signature

size_t _KernelInfo::signature

Definition at line 129 of file morphology.h.

## type

KernelInfoType _KernelInfo::type

Definition at line 105 of file morphology.h.

## values

MagickRealType* _KernelInfo::values

Definition at line 116 of file morphology.h.

## width

size_t _KernelInfo::width

Definition at line 108 of file morphology.h.

## x

ssize_t _KernelInfo::x

Definition at line 112 of file morphology.h.

## y

ssize_t _KernelInfo::y

Definition at line 113 of file morphology.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/morphology.h